Opened 10 months ago

Closed 9 months ago

#33738 closed defect (fixed)

Standard package beautifulsoup4 is missing a dependency

Reported by: mkoeppe Owned by:
Priority: blocker Milestone: sage-9.6
Component: packages: standard Keywords:
Cc: klee, dimpase, vbraun Merged in:
Authors: Matthias Koeppe Reviewers: Dima Pasechnik
Report Upstream: N/A Work issues:
Branch: 1f35d85 (Commits, GitHub, GitLab) Commit: 1f35d8535b90c2a3327adb7c9b6e91aa930c2f44
Dependencies: Stopgaps:

Status badges

Description (last modified by mkoeppe)

(from #33530)

[beautifulsoup4-4.10.0] ERROR: Could not find a version that satisfies the requirement soupsieve>1.2 (from beautifulsoup4) (from versions: none)
[beautifulsoup4-4.10.0] ERROR: No matching distribution found for soupsieve>1.2
[beautifulsoup4-4.10.0] Warning: installing with "python3 -m pip install --verbose --no-index --find-links=/Users/mkoeppe/s/sage/sage-rebasing/local/var/lib/sage/venv-python3.9/var/lib/sage/wheels --disable-pip-version-check --isolated --no-cache-dir" failed. Retrying, adding "--no-deps --ignore-installed --ignore-requires-python"

We use soupsieve 2.3.1, which still uses setuptools as the build backend.

Change History (8)

comment:1 Changed 10 months ago by mkoeppe

Description: modified (diff)

comment:2 Changed 10 months ago by mkoeppe

Description: modified (diff)

comment:3 Changed 10 months ago by mkoeppe

Description: modified (diff)

comment:4 Changed 10 months ago by mkoeppe

Branch: u/mkoeppe/standard_package_beautifulsoup4_is_missing_a_dependency

comment:5 Changed 10 months ago by mkoeppe

Authors: Matthias Koeppe
Cc: dimpase vbraun added
Commit: 1f35d8535b90c2a3327adb7c9b6e91aa930c2f44
Priority: criticalblocker
Status: newneeds_review

New commits:

3e6d718build/pkgs/soupsieve: New
1f35d85build/pkgs/beautifulsoup4/dependencies: Add soupsieve

comment:6 Changed 10 months ago by dimpase

Reviewers: Dima Pasechnik
Status: needs_reviewpositive_review

lgtm

comment:7 Changed 10 months ago by mkoeppe

Thanks!

comment:8 Changed 9 months ago by vbraun

Branch: u/mkoeppe/standard_package_beautifulsoup4_is_missing_a_dependency1f35d8535b90c2a3327adb7c9b6e91aa930c2f44
Resolution: fixed
Status: positive_reviewclosed
Note: See TracTickets for help on using tickets.